Subject: towel order
From: Glenn Ray <[email-masked]>
To: [email-masked]
Date: Thu, 13 Mar 2025 12:07:52 -0400

I ordered 2 sets of the Madison Park Signature 800GSM towels and received them through Amazon on 1/25/2025.  Color-Dusty Green.  Amazon order # 112-7414956-5833010.  Unfortunately, one of the bath towels is already fraying along the edge.  These are very nice towels, so I didn’t expect that.  Can you please replace the towel that is already fraying?  I purchased these to replace my old towels because they were fraying because of age - 7 - 8 years old!  Didn’t expect new ones to start fraying in less than 2 months!  

Karen Ray - 517-582-0017